package sayu;

/**
   @author Jesse Davis

   This class is for storing the precision/recall numbers for a classifier. It is used for performing the interpolation necessary to create a PR curve.
 */
public class PRPoint{
    //the recall of this classifier
    private double recall;
    //the precision of this classifier
    private double precision;

    /**
       This class is for storing the precision/recall numbers for a classifier.
       @param recall the recall of this classifier
       @param precision the precision of this classifier
     */
    public PRPoint(double recall, double precision){
        this.recall = recall;
        this.precision = precision;
    }//end of constructor PRPoint

    /**
       @return the recall of this classifier
     */
    public double getRecall(){
        return recall;
    }//end of method getRecall()

    /**
       @return the precision of this classifier
     */
    public double getPrecision(){
        return precision;
    }//end of method getPrecision()

}//end of class PRPoint
