import sys

def clausesInLogFile(filename):
	f = open(filename, 'r')
	inFinalClauses = False # this tells us when we should start counting
	clauseCount = 0
	for line in f:
		line = line.strip()
		if line == '% clauses in theory:': # this is where we should start counting
			inFinalClauses = True
		elif inFinalClauses and line == 'invasive(A) :-':
			clauseCount += 1
	return clauseCount

def main(args):
	for filename in args[1:]:
		clauseCount = clausesInLogFile(filename)
		print(str(clauseCount))

main(sys.argv)