%%%%%%
%%%
%%%%

%%% emulates Aleph's read_all.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- module(vista_read_all,[read_all/1,determination/2,modeh/2,modeb/2]).

:- use_module(library(lists)).

:- use_module(library(jpl)).

:- use_module(modes).

:- use_module(examples,[init_examples/0]).

read_all(Prefix0) :-
	atom_concat(Prefix0,'.b',File),
	load_files(user:File,[silent(true)]),
	init_examples,
	abolish(example/4),
	do_initialise_user_auxiliary_predicates.

do_initialise_user_auxiliary_predicates :-
	predicate_property(user:initialise_auxiliary_predicates, numebr_of_clauses(N)),
	N > 0,
	!,
	user:initialise_auxiliary_predicates.
do_initialise_user_auxiliary_predicates.



